MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
MixRampInfo Class Reference

`#include <MixRampInfo.hxx>`

## Public Member Functions
| MixRampInfo ()=default
void | Clear ()
gcc_pure bool | IsDefined () const
gcc_pure const char * | GetStart () const
gcc_pure const char * | GetEnd () const
void | SetStart (const char *new_value)
void | SetStart (std::string &&new_value)
void | SetEnd (const char *new_value)
void | SetEnd (std::string &&new_value)

## Detailed Description

Definition at line 28 of file MixRampInfo.hxx.

## Constructor & Destructor Documentation

MixRampInfo::MixRampInfo | ( |  | ) |
| default

## Member Function Documentation

void MixRampInfo::Clear | ( |  | ) |
| inline

Definition at line 34 of file MixRampInfo.hxx.

gcc_pure const char* MixRampInfo::GetEnd | ( |  | ) | const
| inline

Definition at line 50 of file MixRampInfo.hxx.

gcc_pure const char* MixRampInfo::GetStart | ( |  | ) | const
| inline

Definition at line 45 of file MixRampInfo.hxx.

gcc_pure bool MixRampInfo::IsDefined | ( |  | ) | const
| inline

Definition at line 40 of file MixRampInfo.hxx.

void MixRampInfo::SetEnd | ( | const char * | new_value | ) |
| inline

Definition at line 65 of file MixRampInfo.hxx.

void MixRampInfo::SetEnd | ( | std::string && | new_value | ) |
| inline

Definition at line 72 of file MixRampInfo.hxx.

void MixRampInfo::SetStart | ( | const char * | new_value | ) |
| inline

Definition at line 54 of file MixRampInfo.hxx.

void MixRampInfo::SetStart | ( | std::string && | new_value | ) |
| inline

Definition at line 61 of file MixRampInfo.hxx.

The documentation for this class was generated from the following file:

- MixRampInfo.hxx